#
# Cookbook:: pf_chef_app_ifpxml
# Recipe:: amx_dev
#
# Copyright:: 2021, PubFactory, All Rights Reserved.

client_name = 'pf'
site_name = 'ifpxml'
site_type = 'amx'
site_env  = 'dev'
service_name = "#{site_name}-#{site_type}-#{site_env}"
service_dir = "/var/lib/#{service_name}"
auth_token = node['github_token']

pubfactory_amx_web service_name do
  http_port 86
  https_port 449
  elastic_apm_app_name @service_name
  tomcat_version '7.0.108'
end

remote_file "#{service_dir}/shared/classes/config-amx.properties" do
  source "https://raw.githubusercontent.com/pubfactory/pf-app-config/master/client/#{client_name}/#{site_name}/#{site_env}/#{site_type}/config-amx.properties"
  use_last_modified false
  owner 'pubfactory'
  group 'pubfactory'
  mode '0644'
  headers('Authorization' => "token #{auth_token}")
  action :create
end
